# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jafry/version'

Gem::Specification.new do |spec|
  spec.name          = "jafry"
  spec.version       = Jafry::VERSION
  spec.authors       = ["Igor Kur"]
  spec.email         = ["kur91@mail.ru"]
  spec.summary       = %q{Gem for creating JSON data stubs}
  spec.description   = %q{This gem allows you to easily create JSON data fixtures
                          from data schemes you can specify by yourself.
                          The main purpose is to stub JSON received form wide range of JSON API's.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  # spec.add_development_dependency "coveralls"
  spec.add_development_dependency "yajl-ruby"
  spec.add_development_dependency "hashie"
  # spec.add_development_dependency "yard"
end
